## pyblosxom 1.3.2

=== docs/Makefile ===
docbook:
	echo Creating directory
	-mkdir ./manual

	echo Removing files
	-rm ./manual/*

	echo Compiling docbook files.
	openjade -t sgml \
	     -i html \
	     -d ./mystyle.dsl\#html \
	     /usr/share/sgml/declaration/xml.dcl \
	     ./pyblosxom_manual.docbook

	echo Copying book1.html to index.html.
	cp book1.html index.html
	mv *.html ./manual/

	echo Copying manual_style.css file over.
	cp ./manual_style.css ./manual/

	echo End.

pdf:
	docbook2pdf pyblosxom_manual.docbook

## pyblosxom 1.5.2

=== Makefile ===
clean:
	find . -name "*.pyc" | xargs rm
	find . -name "*~" | xargs rm

pylint:
	pylint Pyblosxom

test:
	python setup.py test

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = PYTHONPATH=../ sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

initialize:
	mkdir -p _static/

clean:
	-rm -rf $(BUILDDIR)/*

html: initialize
	mkdir -p $(BUILDDIR)/html $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

pickle:
	mkdir -p $(BUILDDIR)/pickle $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web $(BUILDDIR)/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp:
	mkdir -p $(BUILDDIR)/htmlhelp $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

latex: initialize
	mkdir -p $(BUILDDIR)/latex $(BUILDdIR)/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p $(BUILDDIR)/changes $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	mkdir -p $(BUILDDIR)/linkcheck $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

=== debian/changelog ===
pyblosxom (1.5.2-1) unstable; urgency=low

  * New maintainer. (Closes: #705151)
  * New upstream release. (Closes: #611443)
    - Pyblosxom 1.5.2 ships a new command-line tool, pyblosxom-cmd. You can
      easily generate and test an initial blog setup and render static pages
      with it. (Closes: #569844)
    - The new release provides extensive sphinx-documentation in
      /usr/share/doc/pyblosxom/html. Many different ways of setting up
      pyblosxom are described including the deployment of the software as a CGI
      application for normal users. (Closes: #319219)
  * Switch to source format 3.0 (quilt). Thanks Jari Aalto for the patch.
    (Closes: #664340)
  * Bump compat level to 9 and require debhelper >=9.
  * debian/rules:
    - Use dh sequencer to simplify debian/rules. Drop cdbs.
    - Build with --python2 and sphinxdoc.
    - Install WHATSNEW as upstream changelog.
    - Activate the test suite during build time.
  * debian/control:
    - Remove cdbs and dpatch from Build-Depends.
    - Remove deprecated python-support and drop python-dev.
    - Add python-setuptools and python-sphinx (>= 1.0.7+dfsg) to
      Build-Depends-Indep.
    - Bump Standards-Version to 3.9.4., no changes.
    - Update the homepage field to pyblosxom's new address. (Closes: #607676)
    - Suggest also nginx and lighttpd as possible webservers.
    - Improve the package description.
  * Update debian/copyright to copyright format 1.0.
    - Document GPL-2+, GPL-3+ and Public Domain licenses.
  * Register the documentation with doc-base.
  * Create a new man page for pyblosxom-cmd and install it with the manpages
    file.
  * Update the watch file for the new homepage address.
  * Drop pyblosxom.postinst. Fix file permissions in debian/rules.
  * Refresh all patches, convert them to quilt format and add DEP-3 headers.
  * Add use-recommended-shebang-for-pyblosxom.cgi.patch to comply with the
    Debian Python policy.
  * Update README.Debian. Describe the creation of a new weblog with pyblosxom
    in five easy steps.

 -- Markus Koschany <apo@gambaru.de>  Wed, 12 Jun 2013 16:35:45 +0200

pyblosxom (1.4.3-1) unstable; urgency=low

  * New upstream release: (Closes: #443998)
    + Correct self link in Atom feeds. (Closes: #403008)
    + 'flavourdir' variable now documented. (Closes: #486551)
    + Number of items on front page minimised to avoid Planet-spamming.
      (Closes: #373658)
  * Removed patches:
    + lookat_local_config.py.dpatch as it has been merged upstream.
      (Closes: #367127)
    + config.py-path.dpatch as we shouldn't be encouraging people to use
      /var/www/ for their pybloxsom files.
    + build_offline.dpatch as it was obsoleted by the move away from docbook.
    + fix_nt_positive_values.dpatch as Windows is not a supported Debian
      platform.
  * Removed creation of empty /usr/share/doc/pyblosxom/pluginwriting/.
  * Removed NEWS.Debian, as it was several versions old.
  * Added packaging copyright to debian/copyright.
  * debian/control
    + Changed Maintainer to Daniel Watkins. (Closes: #461246)
    + Moved cdbs, debhelper, dpatch and python from Build-Depends-Indep to
      Build-Depends as they are required to run the clean target of
      debian/rules.
    + Changed cdbs and debhelper dependencies to be less needlessly precise.
    + Updated the Description to remove needless commas and give a slightly more
      accurate summary.
    + Updated Standards-Version to 3.8.0, no changes required.
    + Added Homepage field.
    + Documentation has moved from using docbook to using ReST, so removed
      Build-Depends on openjade and docbook-dsssl.
    + Added '${misc:Depends}' to Depends.
  * debian/rules
    + Removed commented-out lines as they were not adding any value.
    + Switched to using pyversions to find the Python version.
    + Excluded .txt files from being compressed, as documentation files too
      small to need it were being compressed.
  * Removed installation of welcome.txt to /var/www, as it's contents were
    duplicating existing documentation and not entirely correct.
  * Added debian/watch.

 -- Daniel Watkins <daniel@daniel-watkins.co.uk>  Tue, 29 Jul 2008 16:24:36 +0100

pyblosxom (1.3.2-7) unstable; urgency=low

  * Orphaning package.

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 16 Feb 2008 23:17:47 +0100

pyblosxom (1.3.2-6) unstable; urgency=low

  * Don't depend on apache2 | httpd, just suggest them. (closes: #409751)

 -- Norbert Tretkowski <nobse@debian.org>  Mon, 26 Mar 2007 21:18:46 +0200

pyblosxom (1.3.2-5) unstable; urgency=low

  * Use python-support for python transition. (closes: #380900)

 -- Norbert Tretkowski <nobse@debian.org>  Fri, 11 Aug 2006 20:02:41 +0200

pyblosxom (1.3.2-4) unstable; urgency=low

  * Added explicit build-dependency on openjade. (closes: #366825)
  * Updated Standards-Version to 3.7.2.0, no changes required.

 -- Norbert Tretkowski <nobse@debian.org>  Thu, 11 May 2006 08:27:44 -0500

pyblosxom (1.3.2-3) unstable; urgency=low

  * Added a new patch which allows building the package when offline.
    (closes: #360230)

 -- Norbert Tretkowski <nobse@debian.org>  Thu, 13 Apr 2006 21:28:08 +0200

pyblosxom (1.3.2-2) unstable; urgency=low

  * Oops, accidentally uploaded 1.3.2-1 as native package.

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 18 Feb 2006 10:22:01 +0100

pyblosxom (1.3.2-1) unstable; urgency=high

  * New upstream release.
    + Fixed a security issue that probably allows people to see arbitrary
      files (such as those in /etc).

 -- Norbert Tretkowski <nobse@debian.org>  Mon, 13 Feb 2006 18:30:02 +0100

pyblosxom (1.3.1-1) unstable; urgency=low

  * New upstream release.
    + Fixed static rendering. (closes: #351616)
  * Removed patches merged upstream:
    + fix_rss_flavour.dpatch
    + fix_rss_link.dpatch
    + no_limits_year.dpatch

 -- Norbert Tretkowski <nobse@debian.org>  Wed,  8 Feb 2006 06:38:56 +0100

pyblosxom (1.3-2) unstable; urgency=low



=== debian/control ===
Source: pyblosxom
Section: web
Priority: optional
Build-Depends:
 debhelper (>= 9)
Build-Depends-Indep:
 python,
 python-setuptools,
 python-sphinx (>= 1.0.7+dfsg)
Maintainer: Markus Koschany <apo@gambaru.de>
Standards-Version: 3.9.4
Homepage: http://pyblosxom.github.io/
Vcs-Git: git://anonscm.debian.org/collab-maint/pyblosxom.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pyblosxom.git

Package: pyblosxom
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends}
Suggests:
 apache2 | nginx | lighttpd | httpd
Description: lightweight file-based weblog system written in Python
 Pyblosxom is a blog which allows you to keep an online journal. It acts as an
 extension for a web server such as Apache and can be run as a CGI script or a
 WSGI application. Another common purpose of Pyblosxom is to statically compile
 your website into HTML/XML files.
 .
 It is very easy to set up and use. Entries are stored in simple text files and
 can be categorized using directories. Pyblosxom has a plugin framework
 enabling you to augment and enhance Pyblosxom's default behaviour as well as a
 template engine to make it easy to design your own themes with a minimum of
 development knowledge.
 .
 Pyblosxom also supports RSS 2.0 and Atom syndication feeds.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with python2,sphinxdoc --buildsystem=python_distutils

override_dh_installdocs:
	python setup.py build_sphinx
	dh_installdocs build/sphinx/html

override_dh_sphinxdoc:
	dh_sphinxdoc
	$(RM) $(CURDIR)/debian/pyblosxom/usr/share/doc/pyblosxom/html/_sources/license.txt

override_dh_installchangelogs:
	dh_installchangelogs WHATSNEW

override_dh_auto_test:
	python setup.py test

override_dh_fixperms:
	dh_fixperms -X$(CURDIR)/debian/pyblosxom/etc/pyblosxom/config.py
	chown root:www-data $(CURDIR)/debian/pyblosxom/etc/pyblosxom/config.py
	chmod 644 $(CURDIR)/debian/pyblosxom/etc/pyblosxom/config.py

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/build/sphinx
	rm -rf $(CURDIR)/pyblosxom.egg-info

## pyblosxom 1.5.3

=== docs/Makefile ===
--- 
+++ 
@@ -53,7 +53,7 @@
 	      ".hhp project file in $(BUILDDIR)/htmlhelp."
 
 latex: initialize
-	mkdir -p $(BUILDDIR)/latex $(BUILDdIR)/doctrees
+	mkdir -p $(BUILDDIR)/latex $(BUILDDIR)/doctrees
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
 	@echo
 	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."

=== debian/changelog ===
pyblosxom (1.5.3-3) unstable; urgency=medium

  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.2.0.
  * Move the package to salsa.debian.org.

 -- Markus Koschany <apo@debian.org>  Wed, 15 Aug 2018 22:15:58 +0200

pyblosxom (1.5.3-2) unstable; urgency=medium

  * Declare compliance with Debian Policy 3.9.6.
  * Vcs-Browser: Switch to cgit and https.
  * Use only Build-Depends field.
    We only build arch:all packages anyway.
  * Update copyright years.
  * Update my e-mail address.

 -- Markus Koschany <apo@debian.org>  Thu, 05 Nov 2015 21:23:19 +0100

pyblosxom (1.5.3-1) unstable; urgency=low

  * [3f67e35] Imported Upstream version 1.5.3
  * [233493d] Remove dh_fixperms override.
    Set permissions for config.py to system defaults. Group ownership by
    www-data is not required to read the file.
  * [85607bb] debian/control: Add ${sphinxdoc:Depends}.
    Add missing substvar to avoid broken symlinks for required javascript
    files of the sphinx documentation.
  * [4f94451] Refresh remove-poweredby.patch

 -- Markus Koschany <apo@gambaru.de>  Fri, 09 Aug 2013 22:07:39 +0200

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,22 @@
 Section: web
 Priority: optional
 Build-Depends:
- debhelper (>= 9)
-Build-Depends-Indep:
+ debhelper (>= 11),
  python,
  python-setuptools,
  python-sphinx (>= 1.0.7+dfsg)
-Maintainer: Markus Koschany <apo@gambaru.de>
-Standards-Version: 3.9.4
+Maintainer: Markus Koschany <apo@debian.org>
+Standards-Version: 4.2.0
 Homepage: http://pyblosxom.github.io/
-Vcs-Git: git://anonscm.debian.org/collab-maint/pyblosxom.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pyblosxom.git
+Vcs-Git: https://salsa.debian.org/debian/pyblosxom.git
+Vcs-Browser: https://salsa.debian.org/debian/pyblosxom
 
 Package: pyblosxom
 Architecture: all
 Depends:
  ${misc:Depends},
- ${python:Depends}
+ ${python:Depends},
+ ${sphinxdoc:Depends}
 Suggests:
  apache2 | nginx | lighttpd | httpd
 Description: lightweight file-based weblog system written in Python

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,sphinxdoc --buildsystem=python_distutils

override_dh_installdocs:
	python setup.py build_sphinx
	dh_installdocs build/sphinx/html

override_dh_sphinxdoc:
	dh_sphinxdoc
	$(RM) $(CURDIR)/debian/pyblosxom/usr/share/doc/pyblosxom/html/_sources/license.txt

override_dh_installchangelogs:
	dh_installchangelogs WHATSNEW

override_dh_auto_test:
	python setup.py test

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r $(CURDIR)/build/sphinx
	$(RM) -r $(CURDIR)/pyblosxom.egg-info
